.gallery {
  margin: 3rem auto;
}
h1 {
    font-size: 2.2rem;
    text-align: center;
    margin-bottom: 48px;
    color: #000000;
}

.category {
  margin-bottom: 64px;
}

.category h2 {
  font-size: 1.6rem;
  margin-bottom: 16px;
}

.category h2 a {
  color: #ec4899;
  text-decoration: none;
  transition: color 0.3s;
}

.category h2 a:hover {
  text-decoration: underline;
  color: #d02678;
}

.gallery-grid {
  display: grid;
  gap: 16px;
  grid-template-columns: repeat(4, minmax(250px, 1fr));
}

@media(min-width: 1200px) {
  .gallery-grid {
    grid-template-columns: repeat(4, 1fr);
  }
}

@media(min-width: 992px) and (max-width: 1199px) {
  .gallery-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media(min-width: 768px) and (max-width: 991px) {
  .gallery-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media(max-width: 767px) {
  .gallery-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

.gallery-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #f1f1f1;
  padding: 12px;
}

.gallery-item img {
  width: 100%;
  height: 300px;
  object-fit: cover;
  display: block;
  border-radius: 0;
  border: 1px solid #d1d5db;
  transition: transform 0.3s, box-shadow 0.3s;
}

.gallery-item img:hover {
  transform: scale(1.01);
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

.image-title {
  margin-top: 8px;
  font-size: 0.95rem;
  text-align: center;
  color: #4b5563;
}



.gallery-tags {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  margin-bottom: 2rem;
}

.gallery-tag {
    padding: 6px 14px;
    background: #8ba722;
    color: #fff;
    border-radius: 999px;
    font-size: 0.9rem;
    text-decoration: none;
    transition: background 0.2s;
}

    .gallery-tag:hover {
        background: #7d961f;
    }
